Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455290 - FEAT: results.xml should use a stylesheet
Summary: FEAT: results.xml should use a stylesheet
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness)
Version: 5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 17:43 UTC by Greg Nichols
Modified: 2009-01-27 22:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-27 22:58:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot-Mozilla-Firefox.png (deleted)
2009-01-15 01:36 UTC, Yan Tian
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0047 normal SHIPPED_LIVE hts bug fix update 2009-01-27 22:57:30 UTC

Description Greg Nichols 2008-07-14 17:43:44 UTC
Description of problem:

The results.xml should use a stylesheet to allow direct rendering when viewing
with a browser.

Comment 1 Greg Nichols 2008-08-19 18:11:15 UTC
Added to R19.

Comment 2 Greg Nichols 2008-08-28 01:41:56 UTC
Delayed to HTS 5.3

Comment 5 Yan Tian 2009-01-14 09:55:44 UTC
In hts-5.3-12, the results.xml rendering failed when viewing with firefox. Re-assigned this bug.

Comment 6 Greg Nichols 2009-01-14 15:19:41 UTC
Please describe the failure.   What URL was used, and what was the result?

Comment 7 Yan Tian 2009-01-15 01:36:46 UTC
Created attachment 329057 [details]
Screenshot-Mozilla-Firefox.png

(In reply to comment #6)
> Please describe the failure.   What URL was used, and what was the result?

I opened the result.xml file from result package, but it was not readable. Please view the Screenshot-Mozilla-Firefox.png.

Comment 8 Greg Nichols 2009-01-15 17:49:22 UTC
Since the stylesheet is a separate document at a relative URL, it won't be found when viewing results.xml from the results package via a "file:" URL.   This feature is only relevent to viewing results.xml on the SUT via an http: URL.

Closing this as NOTABUG.

Comment 9 Greg Nichols 2009-01-15 17:50:37 UTC
On second thought - re-opening to move to MODIFIED.  Please verify the feature via a URL of the form http:<hostname>/hts/results.xml.

Comment 10 Yan Tian 2009-01-16 01:06:16 UTC
Verified result.xml rendering ok with via http:URL in hts-5.3-12.

Comment 12 errata-xmlrpc 2009-01-27 22:58:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0047.html


Note You need to log in before you can comment on or make changes to this bug.